lp:ubuntu/oneiric/python-support

Created by James Westby on 2011-04-28 and last modified on 2011-05-27
Get this branch:
bzr branch lp:ubuntu/oneiric/python-support
Members of Ubuntu branches can upload to this branch. Log in for directions.

Branch merges

Related bugs

Related blueprints

Branch information

Owner:
Ubuntu branches
Status:
Mature

Recent revisions

33. By Barry Warsaw on 2011-05-27

* Merge with Debian; remaining changes:
  - movemodules, update-python-modules, debhelper/dh_pysupport:
    Add support for --prefix. This is used for example, by Quickly to
    install modules into /opt/extras.ubuntu.com/<appname>-version/
* tests/testparseversions.py: don't hardcode expected versions; instead,
  compare with pyversions' output.
* pysupport.py: don't hardcode supported and old versions; instead, parse
  debian_defaults; NB: this removes some very old python versions from the
  list (2.1 and 2.2), but these weren't ever support and aren't supported in
  the previous stable release anyway. Depend on python-minimal as
  debian_defaults is accessed directly.
* Upload to unstable (closes: #622906)
* Add lintian override for depends-on-python-minimal
* Add support for python2.7.
* Move python2.4 to old versions.
* Move python2.4 to old versions.

32. By Didier Roche on 2010-11-11

* movemodules, update-python-modules, debhelper/dh_pysupport:
  - add support for --prefix

31. By Barry Warsaw on 2010-10-20

Add support for Python 2.7. (LP: #664068).

30. By Loïc Minier on 2010-10-13

* Merge with Debian; remaining changes:
  - Move python2.4 and 2.5 to oldversions.

29. By Mikhail Turov on 2010-07-20

* Merge with Debian; LP: #607828; remaining changes:
  - Move python2.4 and 2.5 to oldversions.

28. By Loïc Minier on 2010-05-22

Drop leftover .bzr*.

27. By Loïc Minier on 2010-05-22

* Merge with Debian; remaining changes:
  - Move python2.4 and 2.5 to oldversions.

26. By Loïc Minier on 2010-05-14

* Merge with Debian; remaining changes:
  - Move python2.4 and 2.5 to oldversions.
* Fix stripping of empty lines in debian/pyversions; LP: #437593;
  closes: #568171.
* Only search for XS-Python-Version in the debian/control general paragraph
  (the first one, for the source package); see Debian #567941;
  closes: #568173.
* Add tests for parseversions.
* Use ./parseversions --all --long to list supported versions during build
  instead of poking pysupport.py_supported directly.
* Cleanup shell snippet / tabs in rules.
* Explicitly strip spaces after parsing debian/pyversions.
* dh_pysupport: fix syntax errors in previous patch.
* README: document that only python is required for arch: all
  packages, not python-dev. Also talk about python-support itself.
  Closes: #563749.
* dh_pysupport: print an error if the default Python version cannot be
  found. Closes: #572155.
* parseversions: I hate regexes.
* dh_pysupport: ensure there is a Python dependency even when no
  specific versions are required. Closes: #568811.
* Non-maintainer upload.
* update-python-modules: set umask to 022. Closes: #567811.
* movemodules: do not touch symlinks that merely point to another
  place in the module tree. Closes: #539187.
* Rename .egg-info files the same way .egg-info directories are renamed
* dh_pysupport: use mkdir -p instead of the Perl mkdir function.
  Closes: #558392.

25. By Loïc Minier on 2009-11-18

* Merge from debian unstable, remaining changes:
  - Move python2.4 and 2.5 to oldversions.

24. By Matthias Klose on 2009-10-31

Drop support for python2.5.

Branch metadata

Branch format:
Branch format 7
Repository format:
Bazaar repository format 2a (needs bzr 1.16 or later)
Stacked on:
lp:ubuntu/precise/python-support
This branch contains Public information 
Everyone can see this information.

Subscribers